# binaryninja.enums.TypeClass

class `binaryninja.enums.``TypeClass`
  `__init__`()

    x.__init__(...) initializes x; see help(type(x)) for signature

  Attributes

  `ArrayTypeClass` |
  `BoolTypeClass` |
  `EnumerationTypeClass` |
  `FloatTypeClass` |
  `FunctionTypeClass` |
  `IntegerTypeClass` |
  `NamedTypeReferenceClass` |
  `PointerTypeClass` |
  `StructureTypeClass` |
  `ValueTypeClass` |
  `VarArgsTypeClass` |
  `VoidTypeClass` |